%define upstream_name    MooseX-Has-Options
%define upstream_version 0.003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Succinct options for Moose
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Moose)
BuildRequires: perl(Package::Stash) >= 0.180.0
BuildRequires: perl(String::RewritePrefix)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Most)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module provides a succinct syntax for declaring options for the Moose
manpage attributes. It hijacks the 'has' function imported by the Moose
manpage and replaces it with one that understands the options syntax
described above.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-9.mga6
+ Revision: 1030383
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.3.0-8.mga6
+ Revision: 949929
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.3.0-7.mga5
+ Revision: 790710
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-6.mga5
+ Revision: 749798
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.3.0-5.mga5
+ Revision: 735787
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-4.mga5
+ Revision: 685536
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 513127
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 370184
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.3.0-1.mga3
+ Revision: 317689
- update to 0.003

* Thu Jul 05 2012 jquelin <jquelin> 0.2.0-1.mga3
+ Revision: 268013
- imported package perl-MooseX-Has-Options


* Thu Jul 05 2012 cpan2dist 0.002-1mga
- initial mageia release, generated with cpan2dist
